package consommationV0;


public class ModeleDeVoiture {
	private String nom;
	//public ConsommationMoyenneInterface consommationsMoyennes;

	private double consoRoute;
	private double consoUrbain;
	private double coeff;
	

   public ModeleDeVoiture(String modele) {
       nom = modele;
    }
 
   //Je choisis la cascade dans ce sens parce que je ne tiens pas  initialiser les variables par dfaut
   public ModeleDeVoiture(String modele, double consoRoute, double consoUrbain) {
        this(modele);
        this.consoRoute = consoRoute;
        this.consoUrbain = consoUrbain;
    }
  
    public double consommation(TypeRoute aSorte) {
        if (aSorte.equals(TypeRoute.route))
            return consoRoute;
        else
            return consoUrbain;
	}

	public double consommationSiVitesse(double aV) {
	    double vitesse = aV;
        double v = 2*(100/vitesse) + coeff*vitesse*vitesse;
        return v;
	}

    @Override
    public String toString() {
        return "ModeleDeVoiture [nom=" + nom + ", consommationsMoyennes=" + consoRoute +" , "+ consoUrbain + " , "
                + coeff + "]";
    }

    public void setConsommationFonctionVitesse(double coeff) {
        this.coeff = coeff;
                
    }
	
	
}